import path_setting
from in_common.base_request import BaseRequest


class face_request(BaseRequest):
    def __init__(self):
        self.data = self.api_load(path_setting.FACE_DIARY_CARDS_CONFIG)


    # 根据多个标签推荐日记
    def diarys_cards(self,facial_type2tag_names):
        self.params["facial_type2tag_names"] = facial_type2tag_names
        return self.api_send(self.data["face_diarys"])




if __name__ == '__main__':
    facial_type2tag_names = '{"2":["玻尿酸垫下巴","自体脂肪垫下巴"],"3":["半永久纹眉","植眉"]}'
    print(face_request().diarys_cards(facial_type2tag_names))
